class WordsAndIdioms::CLI

  def call
    puts "Welcome to Word Explorer!".red
    greet_user
    goodbye
  end

  def greet_user
    puts "What would you like to do?"
    puts " "
    puts "1. Retrieve a word's definition from Dictionary.com."
    puts "OR"
    puts "2. See a list of current idiomatic expressions from MacMillan's Open Dictionary."
    puts "OR"
    puts "3. EXIT"
    puts " "
    menu
  end

  def print_idiom_list
    puts "Below is a list of newly created idioms from MacMillan's Open Dictionary Project"
    Idiom.all.each.with_index(1) do |idiom, i|
      puts "#{i}. #{idiom.name}"
    end
    IdiomExplorer.show_idiom
  end

def menu
  first_choice = (gets.chomp).to_i
    if first_choice == 1
      DictionaryScraper.new
      greet_user
    elsif first_choice == 2
      IdiomScraper.constructor
      print_idiom_list
      greet_user
    elsif first_choice != 1 && first_choice != 2 && first_choice != 3
      puts " "
      puts " "
      puts "Sorry, I didn't get that. Please enter '1', '2', or '3'.".red
      puts " "
      greet_user
    elsif first_choice == 3
    end
  end



  def goodbye
    puts "I hope you learned something today. See you again soon."
  end

end
