class DictionaryScraper

  attr_accessor :user_input

  @@word = ""
  @@definition = ""
  @@correct_spelling = nil

  def initialize
    begin
      @@word = @@correct_spelling || UserInput.get_word
      word_url = "http://www.dictionary.com/browse/#{@@word}"
      html = open(word_url)
      @@doc = Nokogiri::HTML(html)
    rescue OpenURI::HTTPError
      check_spelling
    else
      print_definition
    end
  end

  def print_definition
    definition_xml = @@doc.css(".def-content")[0].text
    definition_init_parse = definition_xml.split("\r\n")
    @@definition = definition_init_parse[1].delete("\n").strip
    puts " "
    puts "According to dictionary.com #{@@word} means:".green
    puts "#{@@definition}"
    puts " "
    @@correct_spelling = nil
  end

  def check_spelling
    begin
      check_url = "http://www.macmillandictionary.com/spellcheck/british/?q=#{@@word}"
      check_html = open(check_url)
      check_doc = Nokogiri::HTML(check_html)
      @@correct_spelling = check_doc.css("#search-results")[1].children.children[1].children.children.text
    rescue NoMethodError
      puts "Hmmm... That's a tough one. I can't find that one anywhere. Maybe you can add it to the open dictionary!".red
      puts " "
    else
      puts "Hmmm... I can't find that one in the dictionary. Did you mean #{@@correct_spelling.upcase}?".yellow
      puts "Y/N?:"
        if gets.chomp.downcase == "y"
          DictionaryScraper.new
        else
          puts " "
          puts "Well, then. Perhaps we can try again.".green
          puts " "
        end
    end
  end

end
